<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="DesignSurface">
    <option name="filePathToZoomLevelMap">
      <map>
        <entry key="..\:/Users/Jean-Claude/AndroidStudioProjects/TD6ExempleRoomPersonHousePetProject/app/src/main/res/layout/activity_main.xml" value="0.3483226266952177" />
      </map>
    </option>
  </component>
  <component name="NullableNotNullManager">
    <option name="myDefaultNullable" value="androidx.annotation.Nullable" />
    <option name="myDefaultNotNull" value="androidx.annotation.NonNull" />
    <option name="myNullables">
      <value>
        <list size="14">
          <item index="0" class="java.lang.String" itemvalue="org.jetbrains.annotations.Nullable" />
          <item index="1" class="java.lang.String" itemvalue="edu.umd.cs.findbugs.annotations.Nullable" />
          <item index="2" class="java.lang.String" itemvalue="android.support.annotation.Nullable" />
          <item index="3" class="java.lang.String" itemvalue="androidx.annotation.Nullable" />
          <item index="4" class="java.lang.String" itemvalue="androidx.annotation.RecentlyNullable" />
          <item index="5" class="java.lang.String" itemvalue="com.android.annotations.Nullable" />
          <item index="6" class="java.lang.String" itemvalue="javax.annotation.Nullable" />
          <item index="7" class="java.lang.String" itemvalue="javax.annotation.CheckForNull" />
          <item index="8" class="java.lang.String" itemvalue="org.checkerframework.checker.nullness.qual.Nullable" />
          <item index="9" class="java.lang.String" itemvalue="org.checkerframework.checker.nullness.compatqual.NullableDecl" />
          <item index="10" class="java.lang.String" itemvalue="org.checkerframework.checker.nullness.compatqual.NullableType" />
          <item index="11" class="java.lang.String" itemvalue="org.eclipse.jdt.annotation.Nullable" />
          <item index="12" class="java.lang.String" itemvalue="io.reactivex.annotations.Nullable" />
          <item index="13" class="java.lang.String" itemvalue="io.reactivex.rxjava3.annotations.Nullable" />
        </list>
      </value>
    </option>
    <option name="myNotNulls">
      <value>
        <list size="14">
          <item index="0" class="java.lang.String" itemvalue="org.jetbrains.annotations.NotNull" />
          <item index="1" class="java.lang.String" itemvalue="edu.umd.cs.findbugs.annotations.NonNull" />
          <item index="2" class="java.lang.String" itemvalue="android.support.annotation.NonNull" />
          <item index="3" class="java.lang.String" itemvalue="androidx.annotation.NonNull" />
          <item index="4" class="java.lang.String" itemvalue="androidx.annotation.RecentlyNonNull" />
          <item index="5" class="java.lang.String" itemvalue="com.android.annotations.NonNull" />
          <item index="6" class="java.lang.String" itemvalue="javax.annotation.Nonnull" />
          <item index="7" class="java.lang.String" itemvalue="org.checkerframework.checker.nullness.qual.NonNull" />
          <item index="8" class="java.lang.String" itemvalue="org.checkerframework.checker.nullness.compatqual.NonNullDecl" />
          <item index="9" class="java.lang.String" itemvalue="org.checkerframework.checker.nullness.compatqual.NonNullType" />
          <item index="10" class="java.lang.String" itemvalue="org.eclipse.jdt.annotation.NonNull" />
          <item index="11" class="java.lang.String" itemvalue="io.reactivex.annotations.NonNull" />
          <item index="12" class="java.lang.String" itemvalue="io.reactivex.rxjava3.annotations.NonNull" />
          <item index="13" class="java.lang.String" itemvalue="lombok.NonNull" />
        </list>
      </value>
    </option>
  </component>
  <component name="ProjectRootManager" version="2" languageLevel="JDK_16_PREVIEW" project-jdk-name="Android Studio default JDK" project-jdk-type="JavaSDK">
    <output url="file://$PROJECT_DIR$/build/classes" />
  </component>
  <component name="ProjectType">
    <option name="id" value="Android" />
  </component>
</project>